{
  inputs,
  pkgs,
  config,
  ...
}:
let
  env = config.environment.variables;
in
{
  environment = {
    shellAliases.e = "${env.EDITOR}";
    systemPackages = [
      pkgs.amadaluzian-zsh
      pkgs.qutebrowser
      pkgs.qemu_kvm
    ];
  };

  alqueva = {
    programs = {
      swaybg = {
        enable = true;
        wallpaper = inputs.wallpkgs.wallpapers.rose-pine.rose_pine-04.path;
      };
      foot.enable = true;
      waybar.enable = true;
      mako.enable = true;
      direnv.enable = true;
      openssh.enable = true;
    };
    shells.zsh = {
      enable = true;
      package = pkgs.amadaluzian-zsh;
    };
    system.pipewire.enable = true;
    wms.niri.enable = true;
  };

  programs.git = {
    enable = true;
    package = pkgs.gitFull;
  };

  services = {
    deluge = {
      enable = true;
      web.enable = false;
    };
    emacs = {
      enable = true;
      package = inputs.pankomacs.packages.${pkgs.system}.pgtk;
      install = true;
      defaultEditor = true;
    };
    rsyncd.enable = true;
  };

  nix.gc = {
    dates = "weekly";
    automatic = true;
  };

  xdg.mime = {
    enable = true;
    defaultApplications = {
      "text/html" = [ "org.qutebrowser.qutebrowser.desktop" ];
      "x-scheme-handler/http" = [ "org.qutebrowser.qutebrowser.desktop" ];
      "x-scheme-handler/https" = [ "org.qutebrowser.qutebrowser.desktop" ];
    };
  };
}
